# Class GetPaymentMethodsRequest

#### Hierarchy

- unknown
  - GetPaymentMethodsRequest

- Defined in src/protobuf/grpc_pb.d.ts:1870
- Defined in src/protobuf/grpc_pb.d.ts:1879

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetPaymentMethodsRequest(): GetPaymentMethodsRequest

- #### Returns GetPaymentMethodsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1871

### toObject

- toObject(includeInstance?: boolean): GetPaymentMethodsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetPaymentMethodsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1872

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentMethodsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentMethodsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1875

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentMethodsRequest, reader: BinaryReader): GetPaymentMethodsRequest

- #### Parameters

  - ##### message: GetPaymentMethodsRequest

  - ##### reader: BinaryReader

  #### Returns GetPaymentMethodsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1876

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentMethodsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetPaymentMethodsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1874

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetPaymentMethodsRequest): GetPaymentMethodsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentMethodsRequest

  #### Returns GetPaymentMethodsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1873

Generated using TypeDoc